Debian Bug report logs - #680107
unblock: foomatic-filters/4.0.17-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Tue, 3 Jul 2012 16:36:01 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-printing@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680107; Package release.debian.org. (Tue, 03 Jul 2012 16:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to debian-printing@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Jul 2012 16:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: foomatic-filters/4.0.17-1
Date: Tue, 03 Jul 2012 10:34:18 -0600
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

foomatic-filters' upstream just released 4.0.17 with two small changes that
should go into Wheezy. From the upstream changelog:

foomatic-filters_Raised_PATH_MAX.diff:

        * foomaticrip.h: Raised PATH_MAX to 65536 bytes so that CUPS
          filter calls with many command line options work (Ubuntu bug
          #1019662).

(FWIW, I know that rising PATH_MAX is not a very elegant solution, but it's
upstream's…)

foomatic-filters_Fix_Free_Coverity.diff

        * options.c, renderer.c: Fixed problems discovered by a Coverity scan
          (Bug #752).

These two changes are shipped in the 4.0.17 upstream tarball together with all
the s/4.0.16/4.0.17/ changes and some whitespace Changelog fixes. The debdiff
for an eventual 4.0.17-1 is also attached, with the following beautyfied
diiffstat (11 files changed, 301 insertions(+), 266 deletions(-))

- ------------------|
 Relevant changes |
- ------------------|
 debian/changelog |   11 +
 options.c        |    4 
 renderer.c       |    9 
- ------------------|
 Version  changes |
- ------------------|
 ChangeLog        |  511 ++++++++++++++++++++++++++++---------------------------
 README           |    2 
 USAGE            |    2 
 VERSION          |    2 
 VERSION.full     |    2 
 configure        |   20 +-
 configure.ac     |    2 
 foomaticrip.h    |    2 

So, what would you accept ? Just the patches for a 4.0.16-2 or the new
upstream release 4.0.17-1 ?

Cheers,

OdyX

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQGcBAEBCAAGBQJP8x8IAAoJEIvPpx7KFjRV/kAL/jzuknntSh3PzdEyKICGI43z
wjmaUdxSEX5EKpz6d4UfCz7QYin1BgKvPyyjiH5wlj65wT1xEh0SVPpviwC/6Dq/
40YjWWcoSorTTEXaaT1YsXF8Fpc/f0yn4+LUiaclJfAb82sK6+REj4UsjwuDQKN8
BIwvzFzrijP4F26E3XLiJXWqJgJkHtCFWcSx9xNTv+Q37gIppcKuLmu4bv7HsqGw
PIhFeykzYvQUQtxwko2rw7GFUrPThLhx3GE4DhjWNvPmEQ/prXn3Gh9pcePoEudU
7FiEvI6RIm/nJa0Id8a65rd/nS4VCEmZDXcZV7GozyDNW8gSlJ3i2s90rzQ3vq2A
Ru4LxlAVSPOmJ/46sLN/C23cOrftgWM5bR8P7mwqZHbJp2yVcp8Uv5sfnc86kWEl
sgQ5l1Y7fbUFsNDghHfZGowFkCIX5X2iYqUuvFUwZd9PoscMdUHdQDLkOEODvR78
dfIdCD6IeMbzVPAWumrQQCY7WBK9GS6Dn+gRQUUPeQ==
=dTNe
-----END PGP SIGNATURE-----
[foomatic-filters_Raised_PATH_MAX.diff (text/x-diff, attachment)]
[foomatic-filters_Fix_Free_Coverity.diff (text/x-diff, attachment)]
[foomatic-filters_4.0.17-1.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680107; Package release.debian.org. (Thu, 05 Jul 2012 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 05 Jul 2012 15:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 680107@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Didier Raboud <odyx@debian.org>, 680107@bugs.debian.org
Subject: Re: Bug#680107: unblock: foomatic-filters/4.0.17-1
Date: Thu, 05 Jul 2012 17:13:57 +0200
tags 680107 + pending
thanks

On 03/07/12 18:34, Didier Raboud wrote:
> So, what would you accept ? Just the patches for a 4.0.16-2 or the new
> upstream release 4.0.17-1 ?

Given most of the noise is in the ChangeLog file (the rest is fine), I'd 
say that uploading 4.0.17-1 looks reasonable. Please go ahead with the 
upload and get back to us once the package hits the archive.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Thu, 05 Jul 2012 15:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680107; Package release.debian.org. (Thu, 05 Jul 2012 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 05 Jul 2012 15:51:06 GMT) Full text and rfc822 format available.

Message #17 received at 680107@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 680107@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@dogguy.org>
Subject: Re: Bug#680107: unblock: foomatic-filters/4.0.17-1
Date: Thu, 5 Jul 2012 09:48:44 -0600
[Message part 1 (text/plain, inline)]
Le jeudi, 5 juillet 2012 09.13:57, Mehdi Dogguy a écrit :
> tags 680107 + pending
> thanks
> 
> On 03/07/12 18:34, Didier Raboud wrote:
> > So, what would you accept ? Just the patches for a 4.0.16-2 or the new
> > upstream release 4.0.17-1 ?
> 
> Given most of the noise is in the ChangeLog file (the rest is fine), I'd
> say that uploading 4.0.17-1 looks reasonable. Please go ahead with the
> upload and get back to us once the package hits the archive.

Uploaded, thanks.

OdyX
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Thu, 05 Jul 2012 15:59:48 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Thu, 05 Jul 2012 15:59:48 GMT) Full text and rfc822 format available.

Message #22 received at 680107-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Didier Raboud <odyx@debian.org>, 680107-done@bugs.debian.org
Subject: Re: Bug#680107: unblock: foomatic-filters/4.0.17-1
Date: Thu, 05 Jul 2012 17:54:21 +0200
On 05/07/12 17:48, Didier Raboud wrote:
> Le jeudi, 5 juillet 2012 09.13:57, Mehdi Dogguy a écrit :
>> tags 680107 + pending
>> thanks
>>
>> On 03/07/12 18:34, Didier Raboud wrote:
>>> So, what would you accept ? Just the patches for a 4.0.16-2 or the new
>>> upstream release 4.0.17-1 ?
>>
>> Given most of the noise is in the ChangeLog file (the rest is fine), I'd
>> say that uploading 4.0.17-1 looks reasonable. Please go ahead with the
>> upload and get back to us once the package hits the archive.
>
> Uploaded, thanks.
>

and Unblocked.

Best,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Aug 2012 07:26:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:07:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.